name: wyatt_i18n
description: Library to handle internationalization in Flutter apps.
repository: https://git.wyatt-studio.fr/Wyatt-FOSS/wyatt-packages/src/branch/master/packages/wyatt_i18n
version: 1.0.0

publish_to: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub

environment:
  sdk: ">=2.19.0 <3.0.0"

dependencies:
  collection: ^1.17.0
  equatable: ^2.0.5
  flutter: { sdk: flutter }
  flutter_bloc: ^8.1.2
  flutter_localizations: { sdk: flutter }
  http: ^0.13.5
  intl: ^0.17.0
  path: ^1.8.0
  petitparser: ^5.1.0
  wyatt_architecture:
    hosted:
      url: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub/
      name: wyatt_architecture
    version: ^0.1.0+1
  wyatt_bloc_helper:
    hosted:
      url: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub/
      name: wyatt_bloc_helper
    version: ^2.0.0
  wyatt_type_utils:
    hosted:
      url: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub/
      name: wyatt_type_utils
    version: ^0.0.4
  yaml: ^3.1.1

dev_dependencies:
  flutter_test: { sdk: flutter }
  dart_code_metrics: ^5.5.1
  wyatt_analysis:
    hosted: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub
    version: ^2.4.1
